@import "../../../../assets/styles/colors";
header {
  height: 80px;
  width: 100%;
  background-color: $blue-color;
  transition: 0.4s;
  position: fixed;
  top: 0;
  z-index: 999999;
}

.header_nav {
  width: 100%;
  height: 100%;
  display: flex;
}

.menu {
  margin: 0 auto;
  width: 1280px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.menu__logo {
  width: 70px;
  height: 70px;
}

.menu__item {
  display: flex;
  align-items: center;
}

.menu__item_post {
  width: 190px;
  height: 48px;
  border: 1px solid #FFFFFF;
  box-sizing: border-box;
  border-radius: 24px;
  text-align: center;
  padding: 13px 0;
  margin-right: 30px;
}

.auth, .un_auth {
  cursor: pointer;
  width: 190px;
  height: 48px;
  border: 1px solid #FFFFFF;
  border-radius: 24px;
  text-align: center;
  padding: 13px 0;
  background: inherit;
  color: white;
  font-weight: 700;
  margin-left: 20px;
}

.auth {
  height: auto;
}

.un_auth {
  width: 100px;
  height: 48px;
}

.un_auth:hover {
  background-color: rgba(221, 38, 38, 0.789);
}

.auth:hover {
  background-color: #3e6faf;
}

.menu__item_avatar {
  width: 52px;
  height: 52px;
  border-radius: 50%;
}

.user_block {
  display: flex;
}

.avatar_user_name {
  margin-right: 10px;
  color: white;;
}

.menu__item_post:hover {
  background-color: #3e6faf;
}

.switch {
  margin-right: 20px;
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgb(247, 200, 12);
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 40px;
  width: 40px;
  left: 0;
  top: 0;
  bottom: 0;
  margin: auto 0;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  background: white url('https://i.ibb.co/7JfqXxB/sunny.png') no-repeat center;
}

input:checked + .slider {
  background-color: rgb(106, 106, 106);
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(24px);
  -ms-transform: translateX(24px);
  transform: translateX(24px);
  box-shadow: 0 0px 15px #2020203d;
  background: white url('https://i.ibb.co/FxzBYR9/night.png') no-repeat center;
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.dark_theme {
  background-color: black;
  transition: 0.4s;
}
